Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"direction": "incoming",
"body": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"status": "received",
"media_urls": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}Conversations
List a conversation's messages
Newest-first, cursor-paginated. Message objects are identical to the
data.message block of message webhook events.
GET
/
conversations
/
{id}
/
messages
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"direction": "incoming",
"body": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"status": "received",
"media_urls": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}Authorizations
Authorization Code flow against Dialbird's OIDC provider. The issued
access token is a JWT with aud: "public-api", verified against the
issuer JWKS.
FlowAuthorization Code
- Authorization URL
- https://app-staging.dialbird.io/oidc/auth
- Token URL
- https://app-staging.dialbird.io/oidc/token
- Refresh URL
- https://app-staging.dialbird.io/oidc/token
Scopes1
api:messages:read
Read messages.
Path Parameters
Was this page helpful?
.png)